| XMP Toolkit SDK 6.0.0

Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCommon::IConfigurationManager_v1 Class Referenceabstract

Version1 of the interface that represents configuration settings controllable by the client. More...

`#include <IConfigurationManager.h>`

Inheritance diagram for AdobeXMPCommon::IConfigurationManager_v1:

## Public Member Functions
virtual bool APICALL | RegisterMemoryAllocator (pIMemoryAllocator memoryAllocator)=0
| Allows the client to plug in its own memory allocation procedures which will be used to allocate/deallocate memory from the heap. More...
virtual bool APICALL | RegisterErrorNotifier (pIErrorNotifier_base clientErrorNotifier)=0
| Allows the client to plug in its own error notification procedures which will be used to inform client about various warnings and errors. More...
virtual bool APICALL | DisableMultiThreading ()=0
| Allows the client to disable the support for multi threading inside the library. By default library supports multi-threading. More...
virtual bool APICALL | IsMultiThreaded () const =0
| Returns whether library supports multi threading or not. More...
virtual | ~IConfigurationManager_v1 () __NOTHROW__
Public Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual void APICALL | Acquire () const __NOTHROW__=0
| Called by the clients of the object to indicate that he has acquired the shared ownership of the object. More...
virtual void APICALL | Release () const __NOTHROW__=0
| Called by the clients of the object to indicate he has released his shared ownership of the object. If this being the last client than this function should call Destroy to delete and release the memory. More...
Public Member Functions inherited from AdobeXMPCommon::IVersionable
template<typename requestedInterface >
XMP_PRIVATE requestedInterface * | GetInterfacePointer ()
| Get the raw pointer to an interface object implementing the requested version. More...
template<typename requestedInterface >
const XMP_PRIVATE requestedInterface * | GetInterfacePointer () const
| Get the raw pointer to a const interface object implementing the requested version. More...

## Protected Member Functions
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual | ~ISharedObject () __NOTHROW__=0
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::IVersionable
virtual | ~IVersionable ()
| REQ_FRIEND_CLASS_DECLARATION ()

## Detailed Description

Version1 of the interface that represents configuration settings controllable by the client.

Provides functions through which client can plug in its own memory allocators, error notifiers.

Attention
  Not Thread Safe as this functionality is generally used at the initialization phase.

Definition at line 32 of file IConfigurationManager.h.

## Constructor & Destructor Documentation

## ◆ ~IConfigurationManager_v1()

virtual AdobeXMPCommon::IConfigurationManager_v1::~IConfigurationManager_v1 | ( |  | ) |
| inline virtual

Definition at line 109 of file IConfigurationManager.h.

109 {}

## Member Function Documentation

## ◆ DisableMultiThreading()

virtual bool APICALL AdobeXMPCommon::IConfigurationManager_v1::DisableMultiThreading | ( |  | ) |
| pure virtual

Allows the client to disable the support for multi threading inside the library. By default library supports multi-threading.

Returns
  A value of bool type; true means successful and false otherwise.

## ◆ IsMultiThreaded()

virtual bool APICALL AdobeXMPCommon::IConfigurationManager_v1::IsMultiThreaded | ( |  | ) | const
| pure virtual

Returns whether library supports multi threading or not.

Returns
  A value of bool type; true means it supports multi threading and false otherwise.

## ◆ RegisterErrorNotifier()

virtual bool APICALL AdobeXMPCommon::IConfigurationManager_v1::RegisterErrorNotifier | ( | pIErrorNotifier_base | clientErrorNotifier | ) |
| pure virtual

Allows the client to plug in its own error notification procedures which will be used to inform client about various warnings and errors.

Parameters

  [in] | clientErrorNotifier | A pointer to an object of type AdobeXMPCommon::IErrorNotifier. NULL pointer means client no longer wants to be notified of any warnings or errors.

Returns
  a value of bool type; true means successful and false otherwise.

## ◆ RegisterMemoryAllocator()

virtual bool APICALL AdobeXMPCommon::IConfigurationManager_v1::RegisterMemoryAllocator | ( | pIMemoryAllocator | memoryAllocator | ) |
| pure virtual

Allows the client to plug in its own memory allocation procedures which will be used to allocate/deallocate memory from the heap.

Parameters

  [in] | memoryAllocator | A pointer to an object of type AdobeXMPCommon::IMemoryAllocator. NULL pointer will switch to default allocator built in the library.

Returns
  A value of bool type; true means successful and false otherwise.

## ◆ REQ_FRIEND_CLASS_DECLARATION()

AdobeXMPCommon::IConfigurationManager_v1::REQ_FRIEND_CLASS_DECLARATION | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- public/include/XMPCommon/Interfaces/IConfigurationManager.h